Permalink
Browse files

Updating README with syntax highlighting

  • Loading branch information...
1 parent 72a1b03 commit ff457989a35b1410a251e31ab6db7c2908cd62a1 @petebrowne petebrowne committed Oct 12, 2011
Showing with 30 additions and 11 deletions.
  1. +30 −11 README.md
View
41 README.md 100644 → 100755
@@ -1,29 +1,48 @@
-## MediaelementRails ##
-This neat project brings the cool MediaElement.js html5/flash/silverlight video-player to the rails world.
-It requires rails 3.1 engines (tested with 3.1 rc5) and makes integration pretty easy.
+# MediaelementRails #
+
+This neat project brings the cool [MediaElement.js](http://mediaelementjs.com/) (HTML5/Flash/Silverlight video player) to the Rails asset pipeline.
## All you have to do is: ##
-Add the gem to the list of required gems in your Gemfile
+
+Add the gem to the list of required gems in your `Gemfile`:
+
+``` ruby
+# ...
+gem "mediaelement_rails"
+# ...
+```
### Javascript ###
-Load the Mediaelement Javascript in your application.js:
- //= require 'mediaelement_rails'
+Load the Mediaelement Javascript in your `application.js`:
+
+``` javascript
+//= require mediaelement_rails
+```
### And CSS ###
-Load the Mediaelement css in your application.css:
- //= require 'mediaelement_rails'
+Load the Mediaelement CSS in your `application.css`:
+``` css
+/*
+ *= require mediaelement_rails
+ * and optionally:
+ *= require mediaelement_rails/mejs-skins
+ */
+```
## Wanna use MediaElement (not the player) only? ##
-This is easy as hell too!
-Don't include any css and include the following Javascript in your application.js to get it working:
- //= require 'mediaelement_rails/rails'
+This is easy as hell too!
+Don't include any CSS and include the following in your `application.js` to get it working:
+``` javascript
+//= require mediaelement_rails/rails
+```
## Anything else I should know? ##
+
Nothing special! This project includes all assets you might need.
This project rocks and uses MIT-LICENSE.

0 comments on commit ff45798

Please sign in to comment.